/* reset rule */
* {
    margin: 0; padding: 0;
}

/*type selector*/

body {
    background-color: #123;
    color: #EEE;
    font-family: verdana, arial, sans-serif;
    padding: 12px;
    border: 8px solid #222;
    padding-bottom: 800px;
    margin: 4px;
    padding: px;
}
header{
    border: 2px solid hotpink;
}
/* child Selector; selects a descendant in header (h1) */
header > h1 {
    text-align: center;
    font-weight: normal;
    text-transform: uppercase;
    color: yellowgreen;
    margin-bottom: 20px;
    border-bottom: 2px solid hotpink;
    
}

/* Descendant Selector */
/* This turns span into a block element */
header span{
    display: block; 
    border: 0px;
    color: #FF4;
    letter-spacing: 8px;

}
/* class selector*/
.subtitle {
    text-align: center;
    border: 2px solid #222;
    padding: 10px;
    line-height: 1.5;
    text-transform: lowercase;
    letter-spacing: 8px;

}
#sec1 {
    margin: 0 auto;
}
/* adjacent selector */


/* css ruleset, aka rule
selector {
    declaration1;
    declaration2;
    property: value;
    property: value;
    property: value1, value2, value3;
    property: value value;
}
    */
/* ============================ */
/* CSS Examples */

section {
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
    border: 2px solid yellow;
    margin-bottom: 800px;
    
}

section article {
    border: 2px solid hotpink;
    max-width: 360px;
    min-height: 200px;
    margin: 10px;
    flex: 0 0 auto;
    padding: 4px;
}

article h2 {
    font-size: 16pt;
}

article p {
    margin: 8px;
    line-height: 1.4;
}   
/* ID selector */
#art1 div {
    width: 70%;
    aspect-ratio: 2/1;
    background-color: skyblue;
    margin: 20px auto;
    border-radius: 20px;
}
#art2 div {
    width: 70%;
    aspect-ratio: 2.5/1;
    background-color:black;
     /* center a block */
    margin: 20px auto;
    box-shadow: -4px 8px 9px yellow;

}   
#art3 h2 {
    font-family: "saira stencil";
    text-align: center;
    font-size: 18pt;
    color: #FF3;

}
#art4 {
    /* use position relative on the parent */
    position: relative;
}
#art4 h2 {
    color: #FF3;
    /* use position abosolute on the child you want to manipualte*/
    position: absolute;
    bottom: 10px; left: 0;
    border: 2px solid yellowgreen;
    width: 100%;
    text-align: center;
    padding-bottom: 10px;
}
#art5 {
    position: relative;
}
#art5 div{
    position: absolute;
}
#art5 div:nth-of-type(1) {
    width: 40%; aspect-ratio: 1;
    background-color: red;
    bottom: 10px; left: 64px;
    z-index: 5;


}
#art5 div:nth-of-type(2) {
    width: 40%; aspect-ratio: 1;
    background-color: #44F;
    bottom: -10px; right: 64px;
    z-index: 3;
}
#art6 {
    transition: all 300ms linear;
}

#art6:hover {
    background-color: #404;
    color: #FF4;
    border: 4px solid yellowgreen;
}
#end {
    text-align: center; 
}
